> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /datacite/dois/search

> Search DataCite DOIs (datasets, software, preprints and more) with filters

**Price:** 1 credit per 5 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/datacite/dois/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/datacite/dois/search:
    post:
      tags:
        - /datacite
      summary: /datacite/dois/search
      description: >-
        Search DataCite DOIs (datasets, software, preprints and more) with
        filters


        **Price:** 1 credit per 5 results
      operationId: __api_datacite_dois_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataciteDoisSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataciteDoi'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataciteDoisSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        resource_type_id:
          anyOf:
            - $ref: '#/components/schemas/DataciteResourceType'
            - type: 'null'
        created:
          anyOf:
            - type: string
            - type: 'null'
        published:
          anyOf:
            - type: string
            - type: 'null'
        registered:
          anyOf:
            - type: string
            - type: 'null'
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
        client_id:
          anyOf:
            - type: string
            - type: 'null'
        prefix:
          anyOf:
            - type: string
            - type: 'null'
        license:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/DataciteDoisSort'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    DataciteDoi:
      properties:
        '@type':
          type: string
          default: DataciteDoi
        doi:
          type: string
        prefix:
          anyOf:
            - type: string
            - type: 'null'
        suffix:
          anyOf:
            - type: string
            - type: 'null'
        titles:
          items:
            $ref: '#/components/schemas/DataciteTitle'
          type: array
          default: []
        creators:
          items:
            $ref: '#/components/schemas/DataciteCreator'
          type: array
          default: []
        contributors:
          items:
            $ref: '#/components/schemas/DataciteCreator'
          type: array
          default: []
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        publication_year:
          anyOf:
            - type: integer
            - type: 'null'
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
        resource_type_general:
          anyOf:
            - type: string
            - type: 'null'
        schema_org_type:
          anyOf:
            - type: string
            - type: 'null'
        bibtex_type:
          anyOf:
            - type: string
            - type: 'null'
        citeproc_type:
          anyOf:
            - type: string
            - type: 'null'
        ris_type:
          anyOf:
            - type: string
            - type: 'null'
        subjects:
          items:
            $ref: '#/components/schemas/DataciteSubject'
          type: array
          default: []
        dates:
          items:
            $ref: '#/components/schemas/DataciteDate'
          type: array
          default: []
        language:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            $ref: '#/components/schemas/DataciteDescription'
          type: array
          default: []
        rights_list:
          items:
            $ref: '#/components/schemas/DataciteRights'
          type: array
          default: []
        related_identifiers:
          items:
            $ref: '#/components/schemas/DataciteRelatedIdentifier'
          type: array
          default: []
        funding_references:
          items:
            $ref: '#/components/schemas/DataciteFundingReference'
          type: array
          default: []
        geo_locations:
          items:
            $ref: '#/components/schemas/DataciteGeoLocation'
          type: array
          default: []
        container:
          anyOf:
            - $ref: '#/components/schemas/DataciteContainer'
            - type: 'null'
        identifiers:
          items:
            $ref: '#/components/schemas/DataciteIdentifier'
          type: array
          default: []
        alternate_identifiers:
          items:
            $ref: '#/components/schemas/DataciteIdentifier'
          type: array
          default: []
        sizes:
          items:
            type: string
          type: array
          default: []
        formats:
          items:
            type: string
          type: array
          default: []
        version:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        content_url:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        schema_version:
          anyOf:
            - type: string
            - type: 'null'
        metadata_version:
          anyOf:
            - type: integer
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
        view_count:
          type: integer
          default: 0
        download_count:
          type: integer
          default: 0
        citation_count:
          type: integer
          default: 0
        reference_count:
          type: integer
          default: 0
        part_count:
          type: integer
          default: 0
        part_of_count:
          type: integer
          default: 0
        version_count:
          type: integer
          default: 0
        version_of_count:
          type: integer
          default: 0
        source:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        registered_at:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
        client_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - doi
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DataciteResourceType:
      type: string
      enum:
        - dataset
        - text
        - software
        - publication
        - image
        - audiovisual
        - collection
        - model
        - workflow
        - sound
        - physical-object
        - event
        - service
        - interactive-resource
        - data-paper
        - peer-review
        - computational-notebook
        - journal-article
        - book
        - book-chapter
        - conference-paper
        - report
        - dissertation
        - preprint
        - standard
        - other
    DataciteDoisSort:
      type: string
      enum:
        - created
        - '-created'
        - published
        - '-published'
        - updated
        - '-updated'
        - relevance
        - view-count
        - '-view-count'
        - citation-count
        - download-count
    DataciteTitle:
      properties:
        '@type':
          type: string
          default: DataciteTitle
        title_type:
          anyOf:
            - type: string
            - type: 'null'
        lang:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    DataciteCreator:
      properties:
        '@type':
          type: string
          default: DataciteCreator
        name:
          anyOf:
            - type: string
            - type: 'null'
        name_type:
          anyOf:
            - type: string
            - type: 'null'
        given_name:
          anyOf:
            - type: string
            - type: 'null'
        family_name:
          anyOf:
            - type: string
            - type: 'null'
        contributor_type:
          anyOf:
            - type: string
            - type: 'null'
        affiliations:
          items:
            type: string
          type: array
          default: []
        name_identifiers:
          items:
            $ref: '#/components/schemas/DataciteNameIdentifier'
          type: array
          default: []
      type: object
    DataciteSubject:
      properties:
        '@type':
          type: string
          default: DataciteSubject
        subject:
          type: string
        subject_scheme:
          anyOf:
            - type: string
            - type: 'null'
        scheme_uri:
          anyOf:
            - type: string
            - type: 'null'
        lang:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - subject
    DataciteDate:
      properties:
        '@type':
          type: string
          default: DataciteDate
        date:
          type: string
        date_type:
          anyOf:
            - type: string
            - type: 'null'
        date_information:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - date
    DataciteDescription:
      properties:
        '@type':
          type: string
          default: DataciteDescription
        description_type:
          anyOf:
            - type: string
            - type: 'null'
        lang:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - description
    DataciteRights:
      properties:
        '@type':
          type: string
          default: DataciteRights
        rights:
          anyOf:
            - type: string
            - type: 'null'
        rights_uri:
          anyOf:
            - type: string
            - type: 'null'
        rights_identifier:
          anyOf:
            - type: string
            - type: 'null'
        rights_identifier_scheme:
          anyOf:
            - type: string
            - type: 'null'
        scheme_uri:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DataciteRelatedIdentifier:
      properties:
        '@type':
          type: string
          default: DataciteRelatedIdentifier
        related_identifier:
          type: string
        related_identifier_type:
          anyOf:
            - type: string
            - type: 'null'
        relation_type:
          anyOf:
            - type: string
            - type: 'null'
        resource_type_general:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - related_identifier
    DataciteFundingReference:
      properties:
        '@type':
          type: string
          default: DataciteFundingReference
        funder_name:
          anyOf:
            - type: string
            - type: 'null'
        funder_identifier:
          anyOf:
            - type: string
            - type: 'null'
        funder_identifier_type:
          anyOf:
            - type: string
            - type: 'null'
        award_number:
          anyOf:
            - type: string
            - type: 'null'
        award_title:
          anyOf:
            - type: string
            - type: 'null'
        award_uri:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DataciteGeoLocation:
      properties:
        '@type':
          type: string
          default: DataciteGeoLocation
        place:
          anyOf:
            - type: string
            - type: 'null'
        point_latitude:
          anyOf:
            - type: number
            - type: 'null'
        point_longitude:
          anyOf:
            - type: number
            - type: 'null'
        box:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
      type: object
    DataciteContainer:
      properties:
        '@type':
          type: string
          default: DataciteContainer
        type:
          anyOf:
            - type: string
            - type: 'null'
        identifier:
          anyOf:
            - type: string
            - type: 'null'
        identifier_type:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        first_page:
          anyOf:
            - type: string
            - type: 'null'
        last_page:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    DataciteIdentifier:
      properties:
        '@type':
          type: string
          default: DataciteIdentifier
        identifier:
          type: string
        identifier_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - identifier
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    DataciteNameIdentifier:
      properties:
        '@type':
          type: string
          default: DataciteNameIdentifier
        name_identifier:
          type: string
        name_identifier_scheme:
          anyOf:
            - type: string
            - type: 'null'
        scheme_uri:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name_identifier
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````